Bug 9639 - Focus after find dialog not restored to editor
Focus after find dialog not restored to editor
Status: CLOSED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
3.x
All All
: P3 (vote)
: TBD
Assigned To: issues@editor
issues@editor
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-15 18:09 UTC by Chris Hogue
Modified: 2007-11-05 13:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hogue 2001-02-15 18:09:37 UTC
Steps:

-Typing in the editor
-<Ctrl-f>, find dialog appears
-Type in expression, first occurence found in editor
-Close the find dialog, focus is not restored to the editor.

Once I hit enter to close the dialog and continue with F3, I thought the focus
would be on the editor so I could just start hitting F3. Instead the focus is
given to the main window, requiring me to click on the editor window to
continue with F3.

I swear this worked as expected in 3.1, but can't remember for sure.
Comment 1 Petr Nejedly 2001-02-22 13:07:23 UTC
Yes, if worked.
I've broken it and fixed it again.
Comment 2 Quality Engineering 2003-06-30 18:02:07 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 3 Quality Engineering 2003-06-30 18:08:16 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo